webentwicklung-frage-antwort-db.com.de

Android SDK Version 25 - Android.support v7: 25 gibt "Keine Ressource gefunden, die mit @ color / hint_foreground_material_light übereinstimmt". Adobe Creative SDK?

Ich erhalte die folgende Fehlermeldung während der Gradle-Synchronisierung/-Erstellung, nachdem ich die compileSdkVersion auf 25 umgestellt und die neuesten Versionen der Android.support-Bibliothek verwendet habe.

compile 'com.Android.support:appcompat-v7:25.0.0'
compile 'com.Android.support:design:25.0.0'
compile 'com.Android.support:recyclerview-v7:25.0.0'

Error:

No resource found that matches the given name (at 'Android:textColorHint' with value '@color/hint_foreground_material_light').

Irgendeine Idee?

EDIT: Ich denke, das liegt am Adobe Creative SDK ... Ich bin mir nicht sicher. Andere laufen gut mit SDK 25.

Verwandte Frage: Fehler beim Verwenden der Supportbibliothek mit Adobe Creative SDK für Android

Wir sollten nicht auf eine Lösung warten ... Vielleicht gibt es eine neuere Version, die ich verwende ('com.Adobe.creativesdk: image: 4.6.3')

EDIT2: Ich habe herausgefunden, dass dies von "fengdai alertdialog" kommt, einer Adobe SDK-Abhängigkeit. Aber veraltet! Ich habe Adobe um Unterstützung gebeten.

17
Denny Weinberg

Lösung: Fügen Sie diese Zeilen zu Ihrer colors.xml hinzu:

<color name="hint_foreground_material_light">#00000000</color>
<color name="hint_foreground_material_dark">#00000000</color>

Dies ist eine Problemumgehung, bis Adobe das Problem behoben hat.

Funktioniert mit v10.0.0 und sollte auch mit allen anderen funktionieren.

Antwort von Adobe:

Es ist geplant, es diese Woche offiziell herauszubringen. Vor diesem Hintergrund steht die aktualisierte Version bereits zum Download zur Verfügung, das Dokument der Integration auf der Website wird jedoch nicht aktualisiert. Wenn Sie möchten, können Sie das Dokument verwenden, das wir auf Github haben.

15
Denny Weinberg

Das Gleiche gilt für mich, jetzt stufe ich es nur auf die Version 24.2.1 herunter und der Fehler ist behoben. Ich bin mir ziemlich sicher, dass dies einer der Fehler in der Unterstützungsbibliothek ist.

2
Rhony